Welcome to the iMore Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Results 1 to 1 of 1
  1. Thread AuthorThread Author   #1  
    lonzaman's Avatar
    iPhone Nanite

    1 Posts

    Default IpodTouch 4G on IMac Running OS 10.4


    forgive my complete ignorance, I just bought an IpodTouch 4G (I should have read the tech specs more closely), plugged it in my IMac running OS 10.4.1, but the Ipod won't even start, telling me it requires 10.5 or higher. Is there any way I can work around this? Again, am I totally new on this, so even a link to an existing thread would be a great help.

Posting Permissions